Bug 1583 - libiconv detection under Solaris 8/9 does not work
libiconv detection under Solaris 8/9 does not work
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Extended Characters
3.0.0preX
All Solaris
: P3 normal
: none
Assigned To: Alexander Bokovoy
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-03 23:29 UTC by Richard Sharpe
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Sharpe 2004-08-03 23:29:44 UTC
Michael Collin Nielsen <michael@hum.aau.dk>
 pointed out the following in email:

Richard Sharpe wrote:
> On Wed, 21 Jul 2004, Michael Collin Nielsen wrote:
>
>
>>>>I came to the conclusion that the libiconv, that I supplied when I ran
>>>>configure wasn't used... config.log showed that the shared library
>>>>couldn't be loaded by the configure script. The configure only adds a -L
>>>>libiconv-path not a -R libiconv-path, therefore all the tests failed. I
>>>>added a LDFLAGS=-R/path/to/libiconv/lib, and now configure is able to do
>>>>the conversions :-)
>>>
>>>
>>>Hmmm, but this suggests that configure failed to do the right thing?
>>>
>>>Perhaps it should be fixed. What was the path to libiconv?
>>
>>My configure-line looks like this:
>>
>>
>>LDFLAGS=-R/pack/libiconv-1.9.1/lib/ ./configure
>>--prefix=/pack/samba-3.0.4 --with-readline --with-automount
>>--with-syslog --with-quotas --with-acl-support
>>--with-libiconv=/pack/libiconv-1.9.1
>
>
> OK, configure.in is not smart enough to know that if you specify a
> --with-libiconv, the library might be a shared library, and thus, it
> should try -R...
>
Comment 1 Gerald (Jerry) Carter 2005-02-07 08:23:12 UTC
this should be fixed several versions ago.  Lot's of configure 
work wrt to libiconv.
Comment 2 Gerald (Jerry) Carter 2005-02-07 08:23:24 UTC
this should be fixed several versions ago.  Lot's of configure 
work wrt to libiconv.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:31 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.